<?php

	include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
	include $_SERVER['DOCUMENT_ROOT'].ADMIN_PATH.'common/auth_chk.php';

	$list_url = "prepare_list.php";
//	$mp = "32";	//set top nav
	$mp = "31";	//set top nav	20190805

	$PageNo = $_REQUEST['pageno'];
	$PageSize = $_REQUEST['PageSize'];
	if (empty($PageNo)) {$PageNo=1;}else{$PageNo=$PageNo;}
	if (empty($PageSize)) {
		$PageSize=10; //목록개수설정
	}else{$PageSize=$PageSize;}

	$pagestartpoint=($PageNo-1)*$PageSize;
	$sql = "where s.ds_delind='N'";
//	$orderby = "order by s.dt_insert desc";
	$orderby = "order by s.dt_update desc";		//20191207 디비에 업데이트 날짜 기준으로 리스트 정렬하기

	$searchtype = $_REQUEST['searchtype'];
	$searchword = $_REQUEST['searchword'];
	$ds_usertype = $_REQUEST['ds_usertype'];
	$ds_status = $_REQUEST['ds_status'];
	$dt_start = $_REQUEST['dt_start'];
	$dt_end = $_REQUEST['dt_end'];

	$ds_type = "A0";	//A0 : 매입
	$sql = $sql. "	and s.ds_type = '$ds_type' ";

	if($searchword != ""){
		if($searchtype=="" || $searchtype==null){
			$sql = $sql. "	and (s.nm_name like '$searchword%' or a.nm_number like '$searchword%') ";
		}else{
			$sql = $sql. "	and $searchtype like '$searchword%'";
		}
	}

	if($ds_usertype != ""){
		$sql = $sql. "	and s.ds_usertype = '$ds_usertype'";
	}

	if($dt_start != "" && $dt_end != ""){
		$sql = $sql. "	and s.dt_insert between '$dt_start' and '$dt_end' ";
	}

	$sql = $sql. "	and s.ds_status in ('E0','F0')";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//관계사/지점 Setting
	$admin_ds_company_bp	= $_SESSION['admin_ds_company_bp'];	//관계사
	$admin_ds_branch		= $_SESSION['admin_ds_branch'];		//지점
	$admin_bp_ok			= ($admin_ds_company_bp != "" || $admin_ds_branch != "") ? true : false;	//admin_ds_company_bp 나 admin_ds_branch 값이 하나라도 있으면 관계사로 보고 권한 제한한다. $admin_bp_ok == true 이면 해당 관계사/지점 데이타만 확인 가능하다.

//관계사 일 경우 해당 관계사/지점 데이타만 확인 가능하다.
	if($admin_bp_ok){
		if($admin_ds_company_bp != "" && $admin_ds_branch != ""){
			$sql = $sql. "	and s.ds_company_bp = '$admin_ds_company_bp' and s.ds_branch = '$admin_ds_branch' ";
		}else{	//admin_ds_company_bp 나 admin_ds_branch 값이 하나라도 없으면 데이타 확인 안되게 한다.
			$sql = $sql. "	and 1 = 2 ";
		}
	}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	$totalrows = @mysql_result(mysql_query("select count(*) from sale_master s inner join car_master a on (	s.cd_car = a.cd_car ) $sql"),0,0);
?>
<? include("../inc/inc_top.php") ?>
<? include("../inc/inc_header.php") ?>

<section id="contents">
	<h2>입찰중 리스트</h2>

<form id="frmSearch" name="frmSearch" method="post">
<input type="hidden" id="PageSize" name="PageSize">
<input type="hidden" id="searchtype" name="searchtype">

	<table class="tbl_search">
		<colgroup>
			<col width="10%">
			<col width="40%">
			<col width="10%">
			<col width="*">
		</colgroup>
		<tr>
			<th>검색어</th>
			<td>
				<span class="select2" style="margin-right:5px;width:100px;" id="sel_searchtype">
					<select>
						<option value="">전체</option>
						<option value="s.nm_name"<? if($searchtype =="s.nm_name"){?> selected<?}?>>판매자</option>
						<option value="a.nm_number"<? if($searchtype =="a.nm_number"){?> selected<?}?>>차량번호</option>
					</select>
				</span>
				<input type="text" id="searchword" name="searchword" class="inp_txt" style="width:60%;" value="<?=$searchword?>">
			</td>
			<th>등록일</th>
			<td>
				<input type="text" class="inp_txt" style="width:34%;" id="dt_start" name="dt_start" value="<?=$dt_start?>">
				<span class="btn_cal" id="btn_cal1">달력보기</span>
				~
				<input type="text" class="inp_txt" style="width:34%;" id="dt_end" name="dt_end" value="<?=$dt_end?>">
				<span class="btn_cal" id="btn_cal2">달력보기</span>
			</td>
		</tr>
		<tr>
			<th>회원구분</th>
			<td colspan="3">
				<div class="radio_chk">
					<span class="check_wrap"><input type="radio" name="ds_usertype" id="radio1" value=""><i></i><label for="radio1">전체</label></span>
					<span class="check_wrap"><input type="radio" name="ds_usertype" id="radio2" value="A0"<?if($ds_usertype=="A0"){?> checked="checked"<?}?>><i></i><label for="radio2">개인회원</label></span>
					<span class="check_wrap"><input type="radio" name="ds_usertype" id="radio3" value="B0"<?if($ds_usertype=="B0"){?> checked="checked"<?}?>><i></i><label for="radio3">사업자회원</label></span>
					<span class="check_wrap"><input type="radio" name="ds_usertype" id="radio4" value="C0"<?if($ds_usertype=="C0"){?> checked="checked"<?}?>><i></i><label for="radio4">비회원</label></span>
				</div>
				<input type="submit" class="rnd_btn ty3 gray" value="검색" title="검색">

				<div class="btn_right" style="margin-top:-28px">
					<a href="javascript:;" id="btn_download_excel" class="rnd_btn black" style='width:110px;'>엑셀다운로드</a>
				</div>
			</td>
		</tr>
	</table>
</form>

	<div class="tbl_wrap">
		<table class="tbl_list ty2">
			<colgroup>
				<col width="7%">
				<col width="10%">
				<col width="*">
				<col width="12%">
				<col width="13%">
				<col width="8%">
				<col width="9%">
				<col width="8%">
                <col width="6%">
				<col width="9%">
                <col width="*">
                <col width="*">
			</colgroup>
			<thead>
			<tr>
				<th>번호</th>
				<th>판매자</th>
				<th>차종</th>
				<th>차량번호</th>
				<th>주행거리</th>
				<th>색상</th>
				<th>변속기</th>
				<th>지역</th>
                	<th>판매시간</th>

				<th>등록일</th>
                <th>재입찰</th>
                <th>재입찰</th>
			</tr>
			</thead>
<?
if($totalrows>0) {

$r = mysql_query("SELECT
						a.*
						, b.nm_model
						, c.nm_grade
						, d.nm_brand
						, e.nm_model_sub
						, getCode('car_master','ds_type',a.ds_type) as nm_type
						, getCode('car_master','ds_open',a.ds_open) as nm_open
						, getCode('car_master','ds_sales',a.ds_sales) as nm_sales
						, getCode('car_master','ds_transmission',a.ds_transmission) as nm_transmission
						, getCode('member_master','ds_area',s.ds_area) as nm_area
						, getCode('sale_master','ds_status',s.ds_status) as nm_status
						, s.cd_sale
						, s.nm_name nm_name_sale
						, s.nm_recommend nm_recommend_sale
						, s.ds_status ds_status_sale
						, s.ds_status_contract ds_status_contract_sale
						, getRemainTimeByPhase(".LIMIT_TIME_TENDER.", ".LIMIT_TIME_SELL.", s.dt_approve, now()) as time_limit_sell
						FROM sale_master s
							inner join car_master a
							on (s.cd_car = a.cd_car)
							left outer join car_model b
							on (a.cd_model = b.cd_model)
							left outer join car_grade c
							on (a.cd_grade = c.cd_grade)
							left outer join car_brand d
							on (a.cd_brand = d.cd_brand)
							left outer join car_model_sub e
							on (a.cd_model_sub = e.cd_model_sub)
							$sql $orderby LIMIT $pagestartpoint,$PageSize");

$i=1;
while($col = mysql_fetch_array($r)) {

	$tmpNum =$totalrows-($PageSize*($PageNo-1));
	$no = ($tmpNum - $i)+1;

?>

			<tr cd_sale='<?=$col[cd_sale]?>' uri='./buy_view.php?list_url=<?=$list_url?>&cd_sale=<?=$col[cd_sale]?>&ds_status_sale=<?=$col[ds_status_sale]?>&ds_status_contract_sale=<?=$col[ds_status_contract_sale]?>&ListPageNo=<?=$PageNo?>' _onclick="location.href=;" style="cursor:pointer;">
				<td><?=$no?></td>
				<td><?=$col[nm_name_sale]?></td>
				<td><?=$col[nm_brand]." ".$col[nm_model]?></td>
				<td><?=$col[nm_number]?></td>
				<td><?=$col[nm_mileage]?>km</td>
				<td><?=$col[nm_color]?></td>
				<td><?=$col[nm_transmission]?></td>
				<td><?=$col[nm_area]?></td>
                <td><?=$col[time_limit_sell]?></td>

				<td><?=$col[dt_insert]?></td>
            	<td class='time_reset'>입찰시간 초기화</td>
                <td class='time_history_reset'>입찰시간 및 내역 초기화</td>
			</tr>
<?
	$i++;
}
}else{
?>
			<tr>
				<td colspan="9">등록된 정보가 없습니다.</td>
			</tr>
<?
}
?>
		</table>
	</div>

	<div class="paging">
		<?
				$url = "./$list_url?searchtype=$searchtype&searchword=$searchword&ds_status=$ds_status&ds_usertype=$ds_usertype&dt_start=$dt_start&dt_end=$dt_end";
				ListPg1($url ,$PageNo,$PageSize,10,$totalrows,$leftboard[1],$rootpath);
		?>
	</div>


	<!-- layer popup1 -->
	<div class="layer_popup reset1_popup">
		<form id="frmFormResetTime" name="frmFormResetTime" method="post" enctype="multipart/form-data">
		<input type="hidden" name="cd_sale" value="">
			<div class="popup_wrap" style='width: 280px;height: 120px;'>
				<h4 style='padding:40px 0 20px 0;'>입찰시간이 초기화 됩니다</h4>
				<div class="btn_center">
					<a href="#" class="rnd_btn ty3 gray" onclick="closeLayer('reset1'); return false;">취소</a>
					<a href="#" class="rnd_btn ty3 black" id="btn_time_reset">확인</a>
				</div>
			</div>
		</form>
		<div class="close">레이어팝업 닫기</div>
	</div>
	<!-- // layer popup1 -->

	<!-- layer popup2 -->
	<div class="layer_popup reset2_popup">
		<form id="frmFormResetTimeHistory" name="frmFormResetTimeHistory" method="post" enctype="multipart/form-data">
		<input type="hidden" name="cd_sale" value="">
			<div class="popup_wrap" style='width: 280px;height: 120px;'>
				<h4 style='padding:40px 0 20px 0;'>입찰 시간 및 입찰내역이 초기화 됩니다</h4>
				<div class="btn_center">
					<a href="#" class="rnd_btn ty3 gray" onclick="closeLayer('reset2'); return false;">취소</a>
					<a href="#" class="rnd_btn ty3 black" id="btn_time_history_reset">확인</a>
				</div>
			</div>
		</form>
		<div class="close">레이어팝업 닫기</div>
	</div>
	<!-- // layer popup2 -->

</section>

<script language="javascript" type="text/javascript">


	$(document).ready(function() {

		$("#dt_start").datepicker({ dateFormat: 'yy-mm-dd' });
		$("#dt_end").datepicker({ dateFormat: 'yy-mm-dd' });

		$("#btn_cal1").bind("click",function(){
			$("#dt_start").datepicker('show');
		});

		$("#btn_cal2").bind("click",function(){
			$("#dt_end").datepicker('show');
		});

		$(".tbl_wrap td").on("click", function() {
			var cd_sale = $(this).closest("tr").attr("cd_sale");
			if($(this).hasClass('time_reset')) {
				$("#frmFormResetTime input[name=cd_sale]").val(cd_sale);
				openLayer('reset1');

			}else if($(this).hasClass('time_history_reset')) {
				$("#frmFormResetTimeHistory input[name=cd_sale]").val(cd_sale);

				openLayer('reset2');

			}else {
				var uri = $(this).closest("tr").attr("uri");
				if(typeof uri != "undefined") {
					window.location.href = uri;
				}
			}
		});

		$("#btn_time_reset").on("click", function() {
			if(confirm('초기화 하시겠습니까? 실행후에는 복구 할 수 없습니다.')) {
				var arg_cd_sale = $("#frmFormResetTime input[name=cd_sale]").val();

				$.post("proc.php", { mode:"resetTime", cd_sale: arg_cd_sale},function(data) {
					if(data=="Y"){
						alert("정상적으로 처리되었습니다.");
						window.location.reload();
						return;
					}else{
						alert("정상적으로 처리되지 않았습니다.");
						return;
					}
				});
			}
		});
		$("#btn_time_history_reset").on("click", function() {
			if(confirm('초기화 하시겠습니까? 실행후에는 복구 할 수 없습니다.')) {
				var arg_cd_sale = $("#frmFormResetTimeHistory input[name=cd_sale]").val();

				$.post("proc.php", { mode:"resetTimeHistory", cd_sale: arg_cd_sale},function(data) {
					if(data=="Y"){
						alert("정상적으로 처리되었습니다.");
						window.location.reload();
						return;
					}else{
						alert("정상적으로 처리되지 않았습니다.");
						return;
					}
				});
			}
		});
/*
		$("#selBox div.jq_sel ul li a").bind("click",function(){
//			alert(this.value);
//			alert($("#selBox option:selected").val());
//			alert($("#selBox option:selected").text());
//			$("#PageSize").val(this.value);
			$("#PageSize").val($("#selBox option:selected").val());

			$("#frmSearch").submit();

		});
*/

		$("#sel_searchtype div.jq_sel ul li a").bind("click",function(){
			$("#searchtype").val($("#sel_searchtype option:selected").val());

		});

	});

	function fnSearch(){
		if($("#searchtype").val()!="" && $("#searchword").val()==""){
			alert("검색어를 입력하세요");
			return false;
		}
		$("#frmSearch").submit();
	}

	$("#btn_download_excel").click(function(e) {
		var url = "prepare_list_excel.php?"+$("#excelForm").serialize();
		window.open(url, "excelWin");
	});
</script>
<form name="excelForm" id="excelForm" method="GET">
<input type="hidden" name="dt_start" value="<?=$dt_start?>">
<input type="hidden" name="dt_end" value="<?=$dt_end?>">
<input type="hidden" name="searchtype" value="<?=$searchtype?>">
<input type="hidden" name="searchword" value="<?=$searchword?>">
<input type="hidden" name="ds_usertype" value="<?=$ds_usertype?>">

</form>
<? include("../inc/inc_footer.php") ?>
<? include("../inc/inc_bottom.php") ?>
<?
mysql_close($connect);
?>
